package syslog

import (
    "net"
    "time"
)

type OptionFunc func(handle *SysLogHandle)

func ResetDialTimeout(fn func (network, address string, timeout time.Duration) (net.Conn, error))OptionFunc{
    return func(handle *SysLogHandle){
        handle.DialTimeoutFn = fn
    }
}
